#!/usr/bin/env python
"""
Copyright © Huawei Technologies Co., Ltd. 2010-2019. All rights reserved.
description     :   at ftm msg
modify  record  :   2019-05-25 create file
"""

at_ftm_msg_enum_table = {
0x00010140 : "ID_MSG_FTM_SET_TXON_REQ",
0x00010141 : "ID_MSG_FTM_SET_TXON_CNF",
0x00010142 : "ID_MSG_FTM_RD_TXON_REQ",
0x00010143 : "ID_MSG_FTM_RD_TXON_CNF",
0x00010144 : "ID_MSG_FTM_SET_FCHAN_REQ",
0x00010145 : "ID_MSG_FTM_SET_FCHAN_CNF",
0x00010146 : "ID_MSG_FTM_RD_FCHAN_REQ",
0x00010147 : "ID_MSG_FTM_RD_FCHAN_CNF",
0x0001014e : "ID_MSG_FTM_SET_RXON_REQ",
0x0001014f : "ID_MSG_FTM_SET_RXON_CNF",
0x00010150 : "ID_MSG_FTM_RD_RXON_REQ",
0x00010151 : "ID_MSG_FTM_RD_RXON_CNF",
0x00010152 : "ID_MSG_FTM_SET_FWAVE_REQ",
0x00010153 : "ID_MSG_FTM_SET_FWAVE_CNF",
0x00010154 : "ID_MSG_FTM_RD_FWAVE_REQ",
0x00010155 : "ID_MSG_FTM_RD_FWAVE_CNF",
0x00010156 : "ID_MSG_FTM_SET_AAGC_REQ",
0x00010157 : "ID_MSG_FTM_SET_AAGC_CNF",
0x00010158 : "ID_MSG_FTM_RD_AAGC_REQ",
0x00010159 : "ID_MSG_FTM_RD_AAGC_CNF",
0x0001015a : "ID_MSG_FTM_FRSSI_REQ",
0x0001015b : "ID_MSG_FTM_FRSSI_CNF",
0x0001015c : "ID_MSG_FTM_OPENCHAN_REQ",
0x0001015d : "ID_MSG_FTM_OPENCHAN_CNF",
0x0001015e : "ID_MSG_FTM_TIME_OUT",
0x0001015f : "ID_MSG_FTM_PHY_POWER_REQ",
0x00010160 : "ID_MSG_FTM_PHY_POWER_CNF",
0x00010163 : "ID_MSG_FTM_RD_FAGC_REQ",
0x00010164 : "ID_MSG_FTM_RD_FAGC_CNF",
0x000101d3 : "ID_MSG_FTM_SET_SRXPOW_REQ",
0x000101d4 : "ID_MSG_FTM_SET_SRXPOW_CNF",
0x000101d5 : "ID_MSG_FTM_RD_SRXPOW_REQ",
0x000101d6 : "ID_MSG_FTM_RD_SRXPOW_CNF",
0x000101db : "ID_MSG_FTM_SET_SRXBLER_REQ",
0x000101dc : "ID_MSG_FTM_SET_SRXBLER_CNF",
0x000101dd : "ID_MSG_FTM_TX_CLT_INFO_IND",
0x000101eb : "ID_MSG_FTM_RD_DLOADVER_REQ",
0x000101ec : "ID_MSG_FTM_RD_DLOADVER_CNF",
0x000101ed : "ID_MSG_FTM_RD_DLOADINFO_REQ",
0x000101ee : "ID_MSG_FTM_RD_DLOADINFO_CNF",
0x000101ef : "ID_MSG_FTM_RD_AUTHORITYVER_REQ",
0x000101f0 : "ID_MSG_FTM_RD_AUTHORITYVER_CNF",
0x000101f1 : "ID_MSG_FTM_RD_AUTHORITYID_REQ",
0x000101f2 : "ID_MSG_FTM_RD_AUTHORITYID_CNF",
0x000101f5 : "ID_MSG_FTM_SET_NVBACKUP_REQ",
0x000101f6 : "ID_MSG_FTM_SET_NVBACKUP_CNF",
0x000101f7 : "ID_MSG_FTM_SET_NVRESTORE_REQ",
0x000101f8 : "ID_MSG_FTM_SET_NVRESTORE_CNF",
0x000101f9 : "ID_MSG_FTM_SET_GODLOAD_REQ",
0x000101fa : "ID_MSG_FTM_SET_GODLOAD_CNF",
0x000101fb : "ID_MSG_FTM_SET_RESET_REQ",
0x000101fc : "ID_MSG_FTM_SET_RESET_CNF",
0x000101fd : "ID_MSG_FTM_SET_NVRSTSTTS_REQ",
0x000101fe : "ID_MSG_FTM_SET_NVRSTSTTS_CNF",
0x000101ff : "ID_MSG_FTM_SET_SDLOAD_REQ",
0x00010200 : "ID_MSG_FTM_SET_SDLOAD_CNF",
0x00010450 : "ID_MSG_L1A_CT_IND",
0x00010950 : "ID_MSG_FTM_SET_TSELRF_REQ",
0x00010951 : "ID_MSG_FTM_SET_TSELRF_CNF",
0x0001095c : "ID_MSG_FTM_SET_TBAT_REQ",
0x0001095d : "ID_MSG_FTM_SET_TBAT_CNF",
0x0001095e : "ID_MSG_FTM_RD_TBAT_REQ",
0x0001095f : "ID_MSG_FTM_RD_TBAT_CNF",
0x00010964 : "ID_MSG_FTM_TMODE_TO_SLAVE",
0x00010965 : "ID_MSG_FTM_TMODE_TO_SLAVE_CNF",
0x00010966 : "ID_MSG_FTM_FCHAN_TO_DSP_MASTER",
0x00010968 : "ID_MSG_FTM_FCHAN_TO_DSP_SLAVE",
0x00010969 : "ID_MSG_FTM_POLLTEMPR_REQ",
}

def get_at_ftm_msg_str( MsgId):
    for MsgIdIndex in at_ftm_msg_enum_table.keys():
        if MsgIdIndex == MsgId:
            return at_ftm_msg_enum_table[MsgIdIndex]

    return "none"